function C=lspoly(X,Y,M)
%Input X - wspolrzedne x-owe punktow
%      Y - wspolrzedne y-owe punktow
%      M - stopnien poszukiwanego wielomianu
%Output C - wspolczynniki wielomianu stopnia m
%           uzyskane w wyniku aproksymacji sredniokwadratowej

n=length(X);
B=zeros(1:M+1);
F=zeros(n,M+1);
% wypelnienie kolumn macierzy F potegami X
for k=1:M+1
    F(:,k)=X'.^(k-1);
end
% rozwiazanie rownania macierzowego
A=F'*F;
B=F'*Y';
C=A\B;
C=flipud(C);

