function [A,B]=lsline(X,Y)
%Input X - wspolrzedne x-owe punktow
%      Y - wspolrzedne y-owe punktow
%Output A - wspolczynnik A w dopasowaniu A*x+B
%       B - wspolczynnik B w dopasowaniu A*x+B

xmean=mean(X);
ymean=mean(Y);
sumx2=(X-xmean)*(X-xmean)';
sumxy=(Y-ymean)*(X-xmean)';
A=sumxy/sumx2;
B=ymean-A*xmean;

